package sample;

import java.awt.Component;

import javax.swing.JLabel;

import jp.ac.kyutech.ai.ylab.shiva.utils.nativecapable.NativeCapableModule;

public class NativeCapableTest implements NativeCapableModule {

	@Override
	public boolean destroyModule() {
		System.out.println("destroyModule");
		return true;
	}

	@Override
	public Component getRootComponent() {
		System.out.println("getRootComponent");
		return new JLabel("Root Component");
	}

	@Override
	public boolean initModule() {
		System.out.println("initModule");
		return true;
	}

	@Override
	public boolean startModule() {
		System.out.println("startModule");

		return true;
	}

}
